%define build_hal	0
%define major		4
%define libname		%mklibname gpod %{major}
%define libnamedev	%mklibname -d gpod
%define api		1.0

Summary:	Library to access an iPod audio player
Summary(de):	Bibliothek für den Zugriff auf iPod Audioplayer
Name:		libgpod
Version:	0.8.3
Release:	%mkrel 2
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.xz
# upstreamable patch: reduce pkgconfig-related overlinking
Patch0:  libgpod-0.8.2-pkgconfig_overlinking.patch
Patch1:  libgpod-fixswig.patch
Patch2:  libgpod-0.8.3-mono4.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gtkpod.org/
BuildRequires:	gtk+2-devel
BuildRequires:	udev-devel
BuildRequires:	dbus-glib-devel

%if %{build_hal}
BuildRequires:	hal-devel
%endif

BuildRequires:	%{_lib}sgutils-devel
BuildRequires:	taglib-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}sqlite3-devel
BuildRequires:	%{_lib}usb1.0-devel
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}imobiledevice-devel
BuildRequires:	gtk-doc
BuildRequires:	eject
BuildRequires:	intltool

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%description -l de
libgpod ist eine Bibliothek mit der Bedeutung den Zugriff auf iPod
Inhalte zu abstrahieren. Es bietet eine einfach zu nutzende API zum
Empfangen der Liste von Dateien und Abspiellisten, die auf dem
iPod gespeichert sind, zum Modifizieren selbiger und zum Zurückspeichern
auf den iPod.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library to access an iPod audio player
Summary(de):	Bibliothek für den Zugriff auf iPod Audioplayer
Requires:	eject
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%description -n %{libname} -l de
libgpod ist eine Bibliothek mit der Bedeutung den Zugriff auf iPod
Inhalte zu abstrahieren. Es bietet eine einfach zu nutzende API zum
Empfangen der Liste von Dateien und Abspiellisten, die auf dem
iPod gespeichert sind, zum Modifizieren selbiger und zum Zurückspeichern
auf den iPod.

%package -n %{libnamedev}
Group:		Development/Libraries
Summary:	Library to access an iPod audio player
Summary(de):	Entwicklerbibliotheken für %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-sharp = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gpod 2

%description -n %{libnamedev}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%description -n %{libnamedev} -l de
libgpod ist eine Bibliothek mit der Bedeutung den Zugriff auf iPod
Inhalte zu abstrahieren. Es bietet eine einfach zu nutzende API zum
Empfangen der Liste von Dateien und Abspiellisten, die auf dem
iPod gespeichert sind, zum Modifizieren selbiger und zum Zurückspeichern
auf den iPod.

Dieses Paket enthält die Bibliotheken, die benötigt werden um Programm,
die %{name} benutzen zu entwickeln.

%package -n python-gpod
Group:		Development/Python
Summary:	Python module for iPod access
Summary(de):	Pythonmodul für den Zugriff auf den iPod
BuildRequires:	python-gobject-devel
BuildRequires:	python-devel
BuildRequires:	mutagen
BuildRequires:	swig
Requires:	mutagen
Requires:	%{libname} = %{version}-%{release}

%description -n python-gpod
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Python binding for libgpod.

%description -n python-gpod -l de
libgpod ist eine Bibliothek mit der Bedeutung den Zugriff auf iPod
Inhalte zu abstrahieren. Es bietet eine einfach zu nutzende API zum
Empfangen der Liste von Dateien und Abspiellisten, die auf dem
iPod gespeichert sind, zum Modifizieren selbiger und zum Zurückspeichern
auf den iPod.

Dies ist eine Pythonbindung für %{name}.

%package sharp
Group:		Development/Other
Summary:	Mono binding to libgpod for iPod access
Summary(de):	Monobindungen für libgpod zum Zugriff auf iPods
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2
BuildRequires:	gtk-sharp2-devel
Requires:	%libname = %{version}-%{release}

%description sharp
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Mono binding for libgpod.

%description sharp -l de
libgpod ist eine Bibliothek mit der Bedeutung den Zugriff auf iPod
Inhalte zu abstrahieren. Es bietet eine einfach zu nutzende API zum
Empfangen der Liste von Dateien und Abspiellisten, die auf dem
iPod gespeichert sind, zum Modifizieren selbiger und zum Zurückspeichern
auf den iPod.

Dies ist eine Monobindung für %{name}.

%prep 
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-gtk-doc=no \
	--disable-static \
	--enable-udev \
%if !%{build_hal}
	--without-hal 
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README* AUTHORS
%{_bindir}/ipod-read-sysinfo-extended
/lib/udev/iphone-set-info
/lib/udev/ipod-set-info
/lib/udev/rules.d/90-libgpod.rules

%if %build_hal
%{_libdir}/hal/scripts/*
%{_datadir}/hal/fdi/policy/20thirdparty/*
%endif

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc ChangeLog
%{_datadir}/gtk-doc
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-sharp.pc
%{_includedir}/gpod-%{api}/

%files -n python-gpod
%defattr(-,root,root,-)
%{py_platsitedir}/gpod/

%files sharp
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}-sharp*

%clean
rm -rf %buildroot


%changelog
* Sat Jun 13 2015 pp <pp> 0.8.3-2pclos2015
- rebuild against updated imobiledevice
- added Fedora patches to have it compile

* Tue May 26 2014 bb <bb> 0.8.3-1pclos2014
- update

